A_SIDE12_CHECK_Unnamed2_Triggered=false
A_SIDE12_CHECK_Unnamed2_Complished=false
A_SIDE12_CHECK_Unnamed1_First_Triggered=false
A_SIDE12_CHECK_Not_Wait_For_Unnamed2=false
function onTalk()
    --一些基础设置
    disableMovement()
    A_SIDE12_CHECK_Unnamed1_First_Triggered=getFlag("A_SIDE12_CHECK_Unnamed1_First_Triggered")
    A_SIDE12_CHECK_Unnamed2_Complished=getFlag("A_SIDE12_CHECK_Unnamed2_Complished")
    A_SIDE12_CHECK_Unnamed2_Triggered=getFlag("A_SIDE12_CHECK_Unnamed2_Triggered")
    A_SIDE12_CHECK_Not_Wait_For_Unnamed2=getFlag("A_SIDE12_CHECK_Not_Wait_For_Unnamed2")
    --第一次对话
    if A_SIDE12_CHECK_Unnamed1_First_Triggered==false then
        setFlag("A_SIDE12_CHECK_Unnamed1_First_Triggered",true)
        say("A_SIDE12_CHECK_Unnamed1")
    else
        --等待进入第二段对话
        if A_SIDE12_CHECK_Not_Wait_For_Unnamed2==false then
            say("A_SIDE12_CHECK_Unnamed4")
        else
            --进入第二段对话，同时触发任务
            if A_SIDE12_CHECK_Unnamed2_Triggered==false then
                setFlag("A_SIDE12_CHECK_Unnamed2_Triggered",true)
                say("A_SIDE12_CHECK_Unnamed2")
            else
                --如果任务完成，则触发第三段对话
                if A_SIDE12_CHECK_Unnamed2_Complished==true then
                    say("A_SIDE12_CHECK_Unnamed3")
                end
            end
        end
    end
end

function onEnd()
    enableMovement()
end